//*********************************
//
//	Des petits hommes verts
//	sur Sleepy Hollow
//	Attendent Spirit !
//
//	image pour l'IRTC
//	topic : Mythology
//	Janvier-fvrier 2004
//
//*********************************
//	Hlne - janvier 2004
//
//*********************************

// 23'

#include "colors.inc"
#include "textures.inc"
#include "functions.inc"

// les  "personnels"
 
#include "caillou.inc"	// les gros cailloux isols
#include "marker.inc"	// le panneau "routier"
#include "tours.inc"	// les btiments  droite en isosurfaces

#include "martien2.inc"	// martien debout (qui danse avec un autre)
#include "martien3.inc"	// martien ivre
#include "martien4.inc"	// martien qui a perdu son antenne
#include "martien5.inc"	// martien qui joue au foot
#include "martien6.inc"	// martien assis
#include "martien7.inc"	// martiens porteurs de poutre
#include "martien8.inc"	// martiens qui regardent le parachute

#include "parachute.inc" // le parachute et la capsule



// N.B. Le pied tourn est dans martien4

global_settings { max_trace_level 15}

//*************************
// CAMERA
//*************************

camera	// plus prs
{
        location <0,5,-20>
        look_at <0,4,0> 
	angle 40      
}


//************************
// LUMIERES
//************************

#declare lum1 =
light_source
{
         <-10,20,-30> White*1.5//Gray35//White*2     //<-20,30,-15>
} 

#declare lum3=
light_source
{
        <-50,50,-50> White  //shadowless // baisser l'y pour clairer le devant ?
	//area_light <3, 0, 0>, <0, 0, 3>, 3, 3
	//adaptive 1
    	//jitter
}



//rgb <1,0.92,0.85> = par dfaut
//rgb<.8,1,0.99> = lumire bleue
//rgb <1,0.92,0.85> = lumire jaune

//light_source {lum1} 
 
light_source {lum3}



//====================
// 	SOL
//====================

// une mer de "mercure" peu agite

plane 
{
      	<0, 1, 0>, 0
	pigment { rgbf <0.97, 0.25, 0.11, 0.5>} 
                   
     
                finish { 
                        reflection .1 
                        ambient .5 
                        diffuse .5 
                        specular .5 
                        roughness .5 
                        } 
                
      
                normal { granite .2 } //.01
  
                interior {ior 2} 
      
	
}

//===========================================
//	montagnes du fond
//===========================================

#declare Fun0=function {x*0 + y*1 + z*0}//plan
#declare Pig1=function{pigment{wrinkles color_map{[0 rgb 1][1 rgb 0]} scale 2}}
#declare Pig2=function{pigment{waves color_map{[0 rgb 1][1 rgb 0]} scale 2}}

//----- sol au fond

isosurface {
            function {Fun0(x,y,z)+ Pig1(x,y,z).gray}
		open
            threshold .5    
            
            accuracy 0.001
            contained_by {box {-3,3}}
            max_gradient 2.253
		pigment
	 {
    		bozo
    	color_map
	 {
      [0.00  color VeryDarkBrown]
      [0.33  color Gray35]
      [0.66  color DarkGreen]
      
   	 }
}
           scale <50,20,20>
	   
           translate <-1,0.2,400>
            }


//===========================================
//	l'atmosphre.. ?
//===========================================

fog 
        {
        distance 250//150
        color rgbf <0.97, 0.35, 0.09> 
        turbulence 0.2
        turb_depth 0.3
        fog_type 2
        fog_offset 20//10
        fog_alt 3//2
        }

//	--- ICI C'EST LE ZERO
/*
sphere
{
	<0,0,0>, 1
	pigment {Green}
}
*/
//********************************
//      le panneau
//********************************

object
{
	panneau
	scale 0.8
	rotate y*-25
	translate <-6,0,4.5>
}

//	avec Martien6 adoss

object
{
	martien6
	scale 0.6
	translate <-6,-0.5,4.5> 
}


//************************************
//	les martiens debout
//************************************

//	martien qui joue au foot

object
{
	martien_foot
	scale 0.6
	translate <2,0,2>
}

//	deux martiens qui dansent

object
{
	martien2
	scale 0.6
	translate <0,0.5,6>
}

object
{
	martien2
	scale 0.6
	rotate y*180
	translate <-2,0.5,6>
}

//	le martien ivre

object
{
	martien3
	scale 0.6
	translate <4.5,0.5,-3>
}

//	le martien qui a perdu son antenne

object
{
	martien4
	scale 0.6
	translate <-2.8,0.5,0.5>
}

//	les deux martiens porteurs de poutre

object
{
	porteurs
	translate <9.5,0,30>
}

//	Les martiens qui regardent le parachute

object
{
	martien8
	scale 0.6
	rotate y*30
	translate <-2,0.8,50>
}

object
{
	martien8
	scale 0.6
	rotate y*10
	translate <-4,0.8,60>
}

//======================================
//	inclusions de cailloux
//=====================================

object	// gros caillou
{
	caillou
	scale 0.4
	translate <3,0.3,-2>
}

object	// petit caillou
{
	caillou
	scale 0.2
	translate <2.2,0.2,-1>
}
object	// caillou devant
{
	caillou
	scale <0.3,0.1,0.3>
	translate <3.5,0,-3>
}


//------- amas de cailloux  gauche

object
{
	caillou
	scale 0.2
	translate <-3.4,0.1,-2>
	
}

object
{
	caillou
	scale 0.2
	translate <-3.6,0.1,-3>
	
}

object
{
	caillou
	scale 0.4
	translate <-2.5,0.2,-2>
	
}

//=====================================
//	autre caillou - genre facettes
//=====================================

#declare R = 1.0;

// ----------------------------------------

                    
#declare F=function{pigment{
  crackle 
  turbulence 0.1
  color_map { [0 rgb 1] [1 rgb 0] }
  scale 0.5
  }
}
#declare caillou_facettes =
isosurface {
        function { x*x + y*y +z*z -1 + F(x,y,z).grey*0.3 }
        max_gradient 3.2
        contained_by{sphere{0,R}}

	pigment
	 {
    		leopard
    	color_map
	 {
      [0.00  color VeryDarkBrown]
      [0.33  color Gray35]
      [0.66  color DarkGreen]
      
   	 }
 	 }
        //pigment {rgb .9}
        //finish {phong 0.5 phong_size 10}
		//translate <0,0.5,-1>
}




//========================================
//	distribution alatoire de cailloux
//========================================

#declare gros_caillou =
object
{
	caillou
	scale 0.4
}

#declare petit_caillou =
object
{
	caillou
	scale 0.2
}

object
{
	caillou_facettes
	//translate <0,-0.5,0>
	
}

//	 gros cailloux

#declare r1=seed(1);
#declare r2=seed(2);

#declare pos=0;
#declare nb = 0;
#while (nb < 330)
    
object 
{
	gros_caillou
	translate x*-30
	translate z*-30
	translate <rand(r1)*50,0,rand(r1)*300>
}  
#declare pos=pos+1; 
#declare nb=nb+1;


#end


//	 petit cailloux

#declare r3=seed(1);
#declare r4=seed(2);

#declare pos=0;
#declare nb = 0;
#while (nb < 1550)
    
object 
{
	petit_caillou
	translate x*-40
	translate z*-30
	translate <rand(r3)*50, 0, rand(r3)*300>
}  
#declare pos=pos+1; 
#declare nb=nb+1;

#end

//	caillou  facettes

#declare r5=seed(1);
#declare r6=seed(2);

#declare pos=0;
#declare nb = 0;
#while (nb < 50)
    
object 
{
	caillou_facettes
	translate x*-30
	translate z*-30
	translate <rand(r5)*50, 0, rand(r5)*300>
}  
#declare pos=pos+1; 
#declare nb=nb+1;

#end

//*****************************************
//	Tours martiennes
//	fichier tours.inc
//****************************************

object
{
	tour
	scale 3
	translate <24,-0.5,160>
}

object
{
	tour
	scale 3
	translate <40,-0.5,200>
}

object
{
	tour
	scale 3
	translate <29,-0.5,110>
}

object
{
	tour
	scale 3
	translate <58,-0.5,200>
}


object
{
	tour
	scale 3
	translate <34,-0.5,90>
}

//***********************************
//	le parachute et la capsule
//***********************************

object
{
	
	parachute
	scale 0.9
	rotate z*25
	translate <-14,11,50>	
}


//=====================================
//	end of file !
//=====================================

//	ajuster le max-gradient
//	rajouter des boules de ptanque + cochonnet  gauche

