//****************************
//	Tours
//
//	include gnrant
//	les tours de Mars
//
//	avec le fichier
//	sleepy.pov
//***************************

	
#include "colors.inc"
#include "textures.inc"
#include "functions.inc"

global_settings { max_trace_level 15}



//============================================
//	un btiment martien...
//============================================

//----------------------------------
//	boule dentele
//----------------------------------

#declare R = 1.0;

#declare Fx = function {sin(u)*sin(v) +cos(20*v)*0.05}
#declare Fy = function {cos(u)*sin(v) +cos(20*u)*0.05}
#declare Fz = function {cos(v)}//        +sin(20*u)*0.05}
                        
#declare U1 = -1*pi;
#declare U2 =  1*pi;
#declare V1 = -1*pi;                       
#declare V2 =  1*pi;

#declare boule =
parametric {
  function {Fx(u,v,0)}
  function {Fy(u,v,0)}
  function {Fz(u,v,0)}
      <U1,V1>,<U2,V2>
  contained_by{box{<-R,-R,-R>,<R,R,R>}}
  precompute 18, x,y,z
  pigment {rgb 0.9}
  finish {phong 0.5 phong_size 10}
  no_shadow
}

//-------------------------------------
//	truc en spirale
//-------------------------------------

#declare F1 = function {u*v*sin(15*v)}
#declare F2 = function {u*v*cos(15*v)}


#declare truc_spirale =
parametric {
  function {F1(u,v,0)}
  function {v}
  function {F2(u,v,0)}
      <0,-1>,<1,1>
  contained_by{box{<-R,-R,-R>,<R,R,R>}}
  precompute 18, x,y,z
  pigment {rgb 0.9}
  finish {phong 0.5 phong_size 10}
  no_shadow

	scale 2
	//rotate z*90
	translate <0,3,0>
}

#declare tour =
union
	{
object
{
	boule
	translate <0,1,0>
}

object
{
	truc_spirale
	scale 1.5
	//translate <0,3,0>
}
	}
